﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Stimulsoft.Report;

namespace StimulsoftSubreportHeaderProblem
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ButtonStartReportWithSubreportClick(object sender, EventArgs e)
        {
            StartReport("ReportWithSubreport", 20);
        }

        private void ButtonStartReportWithoutSubreportClick(object sender, EventArgs e)
        {
            StartReport("ReportWithoutSubreport", 30);
        }

        private void StartReport(string name, int count)
        {
            StiReport report = new StiReport();
            List<ReportData> reportData = CreateReportData(count);
            report.RegBusinessObject("BOData", "MyBusinessObject", reportData);
            report.Load(string.Format(@"..\..\{0}.mrt", name));
            report.Show();
        }

        private List<ReportData> CreateReportData(int count)
        {
            List<ReportData> reportDataList = new List<ReportData>(count);

            for (int i = 0;i < count;i++)
            {
                reportDataList.Add(new ReportData {ColumnOne = string.Format("DataForColumnOne{0}", i + 1), ColumnTwo = i * 32 + 9});
            }

            return reportDataList;
        }
    }
}
